View Issue Details

IDProjectCategoryLast Update
0019824AI War 2[All Projects] Bug - GameplayOct 15, 2018 6:33 pm
ReporterKahunaAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.754 Shifting That Furniture 
Fixed in Version0.801 Hotfix 
Summary0019824: Double clicking a ship type selects and immediately deselects all ships of that type
DescriptionWhen I double click a ship type (for example a fighter) all other ships of that type (fighters) are also selected but then deselected immediately after.
TagsNo tags attached.

Activities

BadgerBadger

Jul 21, 2018 12:49 pm

manager   ~0048014

The underlying issue is that a doubleclick seems to generate a bunch of double click events. So it does select all, then it unselects all immediately afterward.

RocketAssistedPuffin

Aug 25, 2018 6:22 am

developer   ~0048308

New discovery: Holding Shift as you double click actually makes this function exactly as it should. Assuming because you can't deselect things while holding Shift, they retain.

vinco

Oct 14, 2018 12:29 pm

reporter   ~0049958

Can confirm Puffin's workaround to the issue.

x4000Bughunter

Oct 15, 2018 2:48 pm

administrator   ~0050028

la_nague:

double click does not behave like i would expect.

Expectation: double click selects all units if the type.
Behaviour: holding left mouse selects all units as long as its held down, double click thus only selects the units for a fraction of a second.

x4000Bughunter

Oct 15, 2018 3:11 pm

administrator   ~0050029

Thanks!

* Fixed the longstanding issue with double-clicking units not working properly unless shift was held. This was a casualty of our switching input systems back in July.

Issue History

Date Modified Username Field Change
Jul 21, 2018 5:07 am Kahuna New Issue
Jul 21, 2018 5:08 am Kahuna Product Version => 0.754 Shifting That Furniture
Jul 21, 2018 12:49 pm BadgerBadger Note Added: 0048014
Jul 21, 2018 12:49 pm BadgerBadger Assigned To => x4000Bughunter
Jul 21, 2018 12:49 pm BadgerBadger Status new => assigned
Aug 25, 2018 6:22 am RocketAssistedPuffin Note Added: 0048308
Oct 14, 2018 12:29 pm vinco Note Added: 0049958
Oct 15, 2018 2:48 pm x4000Bughunter Note Added: 0050028
Oct 15, 2018 3:11 pm x4000Bughunter Status assigned => resolved
Oct 15, 2018 3:11 pm x4000Bughunter Resolution open => fixed
Oct 15, 2018 3:11 pm x4000Bughunter Fixed in Version => 0.801 Hotfix
Oct 15, 2018 3:11 pm x4000Bughunter Note Added: 0050029